<html>
<head>
<title>OGRE: Ogre::RenderTexture Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1RenderTexture.html">RenderTexture</a></div>
<h1>Ogre::RenderTexture Class Reference</h1><!-- doxytag: class="Ogre::RenderTexture" --><!-- doxytag: inherits="Ogre::RenderTarget" -->This class represents a <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> that renders to a <a class="el" href="classOgre_1_1Texture.html" title="Abstract class representing a Texture resource.">Texture</a>.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreRenderTexture_8h-source.html">OgreRenderTexture.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::RenderTexture:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1RenderTexture-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#15f59cd1b4a2b2e65fcee349d78ae490">StatFlags</a> { <br>
&nbsp;&nbsp;<a class="el" href="classOgre_1_1RenderTarget.html#15f59cd1b4a2b2e65fcee349d78ae4906df94556ae07dfa0384808dca8dedb64">SF_NONE</a> =  0, 
<a class="el" href="classOgre_1_1RenderTarget.html#15f59cd1b4a2b2e65fcee349d78ae4901f0cd329c7ff6d5d81b2162c65d04afa">SF_FPS</a> =  1, 
<a class="el" href="classOgre_1_1RenderTarget.html#15f59cd1b4a2b2e65fcee349d78ae4905ee29312d754f2244987dc0d1f5894e8">SF_AVG_FPS</a> =  2, 
<a class="el" href="classOgre_1_1RenderTarget.html#15f59cd1b4a2b2e65fcee349d78ae490c08101cb24d35c29eb7064886081e386">SF_BEST_FPS</a> =  4, 
<br>
&nbsp;&nbsp;<a class="el" href="classOgre_1_1RenderTarget.html#15f59cd1b4a2b2e65fcee349d78ae490ba6283bc81ca4e5e6cd2b85497a2cc2f">SF_WORST_FPS</a> =  8, 
<a class="el" href="classOgre_1_1RenderTarget.html#15f59cd1b4a2b2e65fcee349d78ae49019ef0adeaa177d49fc4ca4c9b87adec1">SF_TRIANGLE_COUNT</a> =  16, 
<a class="el" href="classOgre_1_1RenderTarget.html#15f59cd1b4a2b2e65fcee349d78ae49018416c60c9b82d928db766bef672ecea">SF_ALL</a> =  0xFFFF
<br>
 }</td></tr>

<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTexture.html#02ac80e2f0a24d6ccbfb3a90a8710649">RenderTexture</a> (<a class="el" href="classOgre_1_1HardwarePixelBuffer.html">HardwarePixelBuffer</a> *buffer, size_t zoffset)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTexture.html#4b549ed1f04ac51f9bdf02e433dbe5ae">~RenderTexture</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTexture.html#d29eb202dc426cb4c9185aa802681705">writeContentsToFile</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;filename)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Writes the current contents of the render target to the named file.  <a href="#d29eb202dc426cb4c9185aa802681705"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#6e3517e66fa2b56db6883b96a0d0744c">getName</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Retrieve target's name.  <a href="#6e3517e66fa2b56db6883b96a0d0744c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#d4e95b76827cb41d936ccb4a8c308c6e">getMetrics</a> (unsigned int &amp;width, unsigned int &amp;height, unsigned int &amp;colourDepth)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Retrieve information about the render target.  <a href="#d4e95b76827cb41d936ccb4a8c308c6e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#bad9545f33c87263f3012c6c15effbfd">getWidth</a> (void) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#150bbf8af117b2f14f24b06fc5dead8f">getHeight</a> (void) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#91d1b60e99ae626a5ac56c57db0edf78">getColourDepth</a> (void) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#3207c500517b7f8e84842a215869e5e0">update</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Tells the target to update it's contents.  <a href="#3207c500517b7f8e84842a215869e5e0"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual <a class="el" href="classOgre_1_1Viewport.html">Viewport</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#1a558e64db9dfd7cc4cec4547fca0e39">addViewport</a> (<a class="el" href="classOgre_1_1Camera.html">Camera</a> *cam, int ZOrder=0, float left=0.0f, float top=0.0f, float width=1.0f, float height=1.0f)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Adds a viewport to the rendering target.  <a href="#1a558e64db9dfd7cc4cec4547fca0e39"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual unsigned short&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#69245e95d2cfee64ee788ed669bb21b3">getNumViewports</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns the number of viewports attached to this target.  <a href="#69245e95d2cfee64ee788ed669bb21b3"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual <a class="el" href="classOgre_1_1Viewport.html">Viewport</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#79c057e010286b2b6c3a27f296233c5c">getViewport</a> (unsigned short index)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Retrieves a pointer to the viewport with the given index.  <a href="#79c057e010286b2b6c3a27f296233c5c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#2b54c04473bf74db5164dae71a6475d3">removeViewport</a> (int ZOrder)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Removes a viewport at a given ZOrder.  <a href="#2b54c04473bf74db5164dae71a6475d3"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#0c00ca9d1ba7f3efc248ae86511fbff9">removeAllViewports</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Removes all viewports on this target.  <a href="#0c00ca9d1ba7f3efc248ae86511fbff9"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#7ec7111526da5ef7b39ac8da3d5650d0">getStatistics</a> (float &amp;lastFPS, float &amp;avgFPS, float &amp;bestFPS, float &amp;worstFPS) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Retieves details of current rendering performance.  <a href="#7ec7111526da5ef7b39ac8da3d5650d0"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual const <br>
FrameStats &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#10c15655fd251589d2b67c299ceaef87">getStatistics</a> (void) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual float&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#68295f73edc9d9e18948d3c912e28a8a">getLastFPS</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Individual stats access - gets the number of frames per second (FPS) based on the last frame rendered.  <a href="#68295f73edc9d9e18948d3c912e28a8a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual float&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#587601530d114124e0be455fae209bc5">getAverageFPS</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Individual stats access - gets the average frames per second (FPS) since call to <a class="el" href="classOgre_1_1Root.html#8eda253befda1255cbfd3b298f62449e" title="Starts / restarts the automatic rendering cycle.">Root::startRendering</a>.  <a href="#587601530d114124e0be455fae209bc5"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual float&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#f0a5f051490579a8bda11090a36d8a26">getBestFPS</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Individual stats access - gets the best frames per second (FPS) since call to <a class="el" href="classOgre_1_1Root.html#8eda253befda1255cbfd3b298f62449e" title="Starts / restarts the automatic rendering cycle.">Root::startRendering</a>.  <a href="#f0a5f051490579a8bda11090a36d8a26"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual float&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#915e2f9f87535b07280a2cdf80247a78">getWorstFPS</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Individual stats access - gets the worst frames per second (FPS) since call to <a class="el" href="classOgre_1_1Root.html#8eda253befda1255cbfd3b298f62449e" title="Starts / restarts the automatic rendering cycle.">Root::startRendering</a>.  <a href="#915e2f9f87535b07280a2cdf80247a78"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual float&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#773ca1e7235d48c9c1e4fa4bc4a963ae">getBestFrameTime</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Individual stats access - gets the best frame time.  <a href="#773ca1e7235d48c9c1e4fa4bc4a963ae"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual float&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#ef27de595c12cc77a51e1f3e493cb7a1">getWorstFrameTime</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Individual stats access - gets the worst frame time.  <a href="#ef27de595c12cc77a51e1f3e493cb7a1"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#e2bd3003533d24447f883d9035b7aed0">resetStatistics</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Resets saved frame-rate statistices.  <a href="#e2bd3003533d24447f883d9035b7aed0"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#6c32524efacf6da599d5daccf3d9e166">getCustomAttribute</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, void *pData)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets a custom (maybe platform-specific) attribute.  <a href="#6c32524efacf6da599d5daccf3d9e166"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#1799514a8ad7958919ca48c654a47e8e">addListener</a> (<a class="el" href="classOgre_1_1RenderTargetListener.html">RenderTargetListener</a> *listener)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add a listener to this <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> which will be called back before &amp; after rendering.  <a href="#1799514a8ad7958919ca48c654a47e8e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#70c43cd6bebbdea84711eb49bb9f1375">removeListener</a> (<a class="el" href="classOgre_1_1RenderTargetListener.html">RenderTargetListener</a> *listener)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Removes a <a class="el" href="classOgre_1_1RenderTargetListener.html" title="A interface class defining a listener which can be used to receive notifications...">RenderTargetListener</a> previously registered using addListener.  <a href="#70c43cd6bebbdea84711eb49bb9f1375"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#6fc748317d2951512cd42d19e3445352">removeAllListeners</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Removes all listeners from this instance.  <a href="#6fc748317d2951512cd42d19e3445352"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#03ae803c4754c6008fb5b898fb8090b8">setPriority</a> (<a class="el" href="namespaceOgre.html#07f1f7c1d84d58c9beae02e1ebb945e4">uchar</a> priority)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets the priority of this render target in relation to the others.  <a href="#03ae803c4754c6008fb5b898fb8090b8"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#07f1f7c1d84d58c9beae02e1ebb945e4">uchar</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#bb30435cde04c7c81a93b5f94b13e27e">getPriority</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the priority of a render target.  <a href="#bb30435cde04c7c81a93b5f94b13e27e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#301925445aa68d271ba2da65dc8c0022">isActive</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Used to retrieve or set the active state of the render target.  <a href="#301925445aa68d271ba2da65dc8c0022"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#279914cf4611a750e94b6fb54bc1b2d1">setActive</a> (bool state)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Used to set the active state of the render target.  <a href="#279914cf4611a750e94b6fb54bc1b2d1"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#016ca5b051b36014c566459b20fe6ef6">setAutoUpdated</a> (bool autoupdate)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets whether this target should be automatically updated if Ogre's rendering loop or <a class="el" href="classOgre_1_1Root.html#74cf60da79525c2332744048900b38bb" title="Internal method used for updating all RenderTarget objects (windows, renderable textures...">Root::_updateAllRenderTargets</a> is being used.  <a href="#016ca5b051b36014c566459b20fe6ef6"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#1155d04dd64c5ea34dec391cf03f8bfc">isAutoUpdated</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets whether this target is automatically updated if Ogre's rendering loop or <a class="el" href="classOgre_1_1Root.html#74cf60da79525c2332744048900b38bb" title="Internal method used for updating all RenderTarget objects (windows, renderable textures...">Root::_updateAllRenderTargets</a> is being used.  <a href="#1155d04dd64c5ea34dec391cf03f8bfc"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#2c3046ce0995cc3058e2919b985e80f6">writeContentsToTimestampedFile</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;filenamePrefix, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;filenameSuffix)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Writes the current contents of the render target to the (PREFIX)(time-stamp)(SUFFIX) file.  <a href="#2c3046ce0995cc3058e2919b985e80f6"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#4796840716ec80f783a01b7e97ced3e7">requiresTextureFlipping</a> () const =0</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#c5dfafc1b777e6ff51d01af3f4d192f6">getTriangleCount</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the number of triangles rendered in the last <a class="el" href="classOgre_1_1RenderTarget.html#3207c500517b7f8e84842a215869e5e0" title="Tells the target to update it&#39;s contents.">update()</a> call.  <a href="#c5dfafc1b777e6ff51d01af3f4d192f6"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#ab1992269ca9e143f6798e059a1c2155">getBatchCount</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the number of batches rendered in the last <a class="el" href="classOgre_1_1RenderTarget.html#3207c500517b7f8e84842a215869e5e0" title="Tells the target to update it&#39;s contents.">update()</a> call.  <a href="#ab1992269ca9e143f6798e059a1c2155"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#9643c656e6220cb96e7db14238788db7">_notifyCameraRemoved</a> (const <a class="el" href="classOgre_1_1Camera.html">Camera</a> *cam)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Utility method to notify a render target that a camera has been removed, incase it was referring to it as a viewer.  <a href="#9643c656e6220cb96e7db14238788db7"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#d65fa4d3c53d20d49b5018a334de57e9">isPrimary</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Indicates whether this target is the primary window.  <a href="#d65fa4d3c53d20d49b5018a334de57e9"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual Impl *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#dc79bb20073490723d8705828a809068">_getImpl</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get rendersystem specific interface for this <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a>.  <a href="#dc79bb20073490723d8705828a809068"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::map<br>
&lt; int, <a class="el" href="classOgre_1_1Viewport.html">Viewport</a> *,<br>
 std::less&lt; int &gt; &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#ef91bc6ede66d2f18f211964addf8c09">ViewportList</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::vector<br>
&lt; <a class="el" href="classOgre_1_1RenderTargetListener.html">RenderTargetListener</a> * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#c283f95c08a0d761481613002e15929f">RenderTargetListenerList</a></td></tr>

<tr><td colspan="2"><br><h2>Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#b78039271b681c0a83a5b66aa1865393">updateStats</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#4673d31e490f02305df92854ed2b1001">firePreUpdate</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">internal method for firing events  <a href="#4673d31e490f02305df92854ed2b1001"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#ccca37e9b5dff076f19b10cec0a046d3">firePostUpdate</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">internal method for firing events  <a href="#ccca37e9b5dff076f19b10cec0a046d3"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#c535c5b65e4239c6f81a065d00d2108d">fireViewportPreUpdate</a> (<a class="el" href="classOgre_1_1Viewport.html">Viewport</a> *vp)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">internal method for firing events  <a href="#c535c5b65e4239c6f81a065d00d2108d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#703c49294043642922a0211f7eeeb390">fireViewportPostUpdate</a> (<a class="el" href="classOgre_1_1Viewport.html">Viewport</a> *vp)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">internal method for firing events  <a href="#703c49294043642922a0211f7eeeb390"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#a396234cc576e5b6f47cc4a0083e370b">fireViewportAdded</a> (<a class="el" href="classOgre_1_1Viewport.html">Viewport</a> *vp)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">internal method for firing events  <a href="#a396234cc576e5b6f47cc4a0083e370b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#fc571d922c7afc5d6b19e772adc7c742">fireViewportRemoved</a> (<a class="el" href="classOgre_1_1Viewport.html">Viewport</a> *vp)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">internal method for firing events  <a href="#fc571d922c7afc5d6b19e772adc7c742"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1HardwarePixelBuffer.html">HardwarePixelBuffer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTexture.html#5f3d9fd4d3aa25751546d18144b77b6a">mBuffer</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTexture.html#d41ef4a560ac4f45b10eb56a87761347">mZOffset</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#f2cc3c6d5a845d8c7eb3b6cdc4270639">mName</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The name of this target.  <a href="#f2cc3c6d5a845d8c7eb3b6cdc4270639"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#07f1f7c1d84d58c9beae02e1ebb945e4">uchar</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#58b3cee9ce06c665d120234f425a188f">mPriority</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The priority of the render target.  <a href="#58b3cee9ce06c665d120234f425a188f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#b3f6f293e5347db866b70ab7dfcf6018">mWidth</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#02bf10a710dcdf3b5e384f8c7d2903af">mHeight</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#79386cb8836a76d429466c0910374aaa">mColourDepth</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#84e393c6abd162a8e957477914bcd999">mIsDepthBuffered</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">FrameStats&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#ec8db4bff24a18224ea22ae0dcd2b0b9">mStats</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Timer.html">Timer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#9edbadbd9ebd933c51dd6d63303ffeaa">mTimer</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#e2c3190a38dd1febbacaa7d26a99b847">mLastSecond</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#cb4383973de9408b1f855e15357332cb">mLastTime</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#7c01f88029925f275dc8a49800dd3998">mFrameCount</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#e2a74c5e2b8d58720fb520401a3f8c5f">mActive</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#39c96ae9e871ab7a2c0f139a4391fee8">mAutoUpdate</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1RenderTarget.html#ef91bc6ede66d2f18f211964addf8c09">ViewportList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#9dbeb5ce1b207cf5bf446e0d69d1b98c">mViewportList</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">List of viewports, map on Z-order.  <a href="#9dbeb5ce1b207cf5bf446e0d69d1b98c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1RenderTarget.html#c283f95c08a0d761481613002e15929f">RenderTargetListenerList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderTarget.html#db18b049cb9528a1605ec4a52ecf832c">mListeners</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
This class represents a <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> that renders to a <a class="el" href="classOgre_1_1Texture.html" title="Abstract class representing a Texture resource.">Texture</a>. 
<p>
There is no 1 on 1 relation between Textures and RenderTextures, as there can be multiple RenderTargets rendering to different mipmaps, faces (for cubemaps) or slices (for 3D textures) of the same <a class="el" href="classOgre_1_1Texture.html" title="Abstract class representing a Texture resource.">Texture</a>. 
<p>Definition at line <a class="el" href="OgreRenderTexture_8h-source.html#l00043">43</a> of file <a class="el" href="OgreRenderTexture_8h-source.html">OgreRenderTexture.h</a>.</p>
<hr><h2>Member Typedef Documentation</h2>
<a class="anchor" name="ef91bc6ede66d2f18f211964addf8c09"></a><!-- doxytag: member="Ogre::RenderTexture::ViewportList" ref="ef91bc6ede66d2f18f211964addf8c09" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::map&lt;int, <a class="el" href="classOgre_1_1Viewport.html">Viewport</a>*, std::less&lt;int&gt; &gt; <a class="el" href="classOgre_1_1RenderTarget.html#ef91bc6ede66d2f18f211964addf8c09">Ogre::RenderTarget::ViewportList</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderTarget_8h-source.html#l00335">335</a> of file <a class="el" href="OgreRenderTarget_8h-source.html">OgreRenderTarget.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c283f95c08a0d761481613002e15929f"></a><!-- doxytag: member="Ogre::RenderTexture::RenderTargetListenerList" ref="c283f95c08a0d761481613002e15929f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::vector&lt;<a class="el" href="classOgre_1_1RenderTargetListener.html">RenderTargetListener</a>*&gt; <a class="el" href="classOgre_1_1RenderTarget.html#c283f95c08a0d761481613002e15929f">Ogre::RenderTarget::RenderTargetListenerList</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderTarget_8h-source.html#l00339">339</a> of file <a class="el" href="OgreRenderTarget_8h-source.html">OgreRenderTarget.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Enumeration Documentation</h2>
<a class="anchor" name="15f59cd1b4a2b2e65fcee349d78ae490"></a><!-- doxytag: member="Ogre::RenderTexture::StatFlags" ref="15f59cd1b4a2b2e65fcee349d78ae490" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1RenderTarget.html#15f59cd1b4a2b2e65fcee349d78ae490">Ogre::RenderTarget::StatFlags</a><code> [inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" name="15f59cd1b4a2b2e65fcee349d78ae4906df94556ae07dfa0384808dca8dedb64"></a><!-- doxytag: member="SF_NONE" ref="15f59cd1b4a2b2e65fcee349d78ae4906df94556ae07dfa0384808dca8dedb64" args="" -->SF_NONE</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="15f59cd1b4a2b2e65fcee349d78ae4901f0cd329c7ff6d5d81b2162c65d04afa"></a><!-- doxytag: member="SF_FPS" ref="15f59cd1b4a2b2e65fcee349d78ae4901f0cd329c7ff6d5d81b2162c65d04afa" args="" -->SF_FPS</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="15f59cd1b4a2b2e65fcee349d78ae4905ee29312d754f2244987dc0d1f5894e8"></a><!-- doxytag: member="SF_AVG_FPS" ref="15f59cd1b4a2b2e65fcee349d78ae4905ee29312d754f2244987dc0d1f5894e8" args="" -->SF_AVG_FPS</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="15f59cd1b4a2b2e65fcee349d78ae490c08101cb24d35c29eb7064886081e386"></a><!-- doxytag: member="SF_BEST_FPS" ref="15f59cd1b4a2b2e65fcee349d78ae490c08101cb24d35c29eb7064886081e386" args="" -->SF_BEST_FPS</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="15f59cd1b4a2b2e65fcee349d78ae490ba6283bc81ca4e5e6cd2b85497a2cc2f"></a><!-- doxytag: member="SF_WORST_FPS" ref="15f59cd1b4a2b2e65fcee349d78ae490ba6283bc81ca4e5e6cd2b85497a2cc2f" args="" -->SF_WORST_FPS</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="15f59cd1b4a2b2e65fcee349d78ae49019ef0adeaa177d49fc4ca4c9b87adec1"></a><!-- doxytag: member="SF_TRIANGLE_COUNT" ref="15f59cd1b4a2b2e65fcee349d78ae49019ef0adeaa177d49fc4ca4c9b87adec1" args="" -->SF_TRIANGLE_COUNT</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="15f59cd1b4a2b2e65fcee349d78ae49018416c60c9b82d928db766bef672ecea"></a><!-- doxytag: member="SF_ALL" ref="15f59cd1b4a2b2e65fcee349d78ae49018416c60c9b82d928db766bef672ecea" args="" -->SF_ALL</em>&nbsp;</td><td>
</td></tr>
</table>
</dl>

<p>Definition at line <a class="el" href="OgreRenderTarget_8h-source.html#l00062">62</a> of file <a class="el" href="OgreRenderTarget_8h-source.html">OgreRenderTarget.h</a>.</p>

</div>
</div><p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="02ac80e2f0a24d6ccbfb3a90a8710649"></a><!-- doxytag: member="Ogre::RenderTexture::RenderTexture" ref="02ac80e2f0a24d6ccbfb3a90a8710649" args="(HardwarePixelBuffer *buffer, size_t zoffset)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::RenderTexture::RenderTexture           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwarePixelBuffer.html">HardwarePixelBuffer</a> *&nbsp;</td>
          <td class="paramname"> <em>buffer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>zoffset</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="4b549ed1f04ac51f9bdf02e433dbe5ae"></a><!-- doxytag: member="Ogre::RenderTexture::~RenderTexture" ref="4b549ed1f04ac51f9bdf02e433dbe5ae" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::RenderTexture::~RenderTexture           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="d29eb202dc426cb4c9185aa802681705"></a><!-- doxytag: member="Ogre::RenderTexture::writeContentsToFile" ref="d29eb202dc426cb4c9185aa802681705" args="(const String &amp;filename)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderTexture::writeContentsToFile           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>filename</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Writes the current contents of the render target to the named file. 
<p>

<p>Implements <a class="el" href="classOgre_1_1RenderTarget.html#c40a0318fdf441a3a6b513c70895b9ea">Ogre::RenderTarget</a>.</p>

</div>
</div><p>
<a class="anchor" name="6e3517e66fa2b56db6883b96a0d0744c"></a><!-- doxytag: member="Ogre::RenderTexture::getName" ref="6e3517e66fa2b56db6883b96a0d0744c" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::RenderTarget::getName           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Retrieve target's name. 
<p>

</div>
</div><p>
<a class="anchor" name="d4e95b76827cb41d936ccb4a8c308c6e"></a><!-- doxytag: member="Ogre::RenderTexture::getMetrics" ref="d4e95b76827cb41d936ccb4a8c308c6e" args="(unsigned int &amp;width, unsigned int &amp;height, unsigned int &amp;colourDepth)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::RenderTarget::getMetrics           </td>
          <td>(</td>
          <td class="paramtype">unsigned int &amp;&nbsp;</td>
          <td class="paramname"> <em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int &amp;&nbsp;</td>
          <td class="paramname"> <em>height</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int &amp;&nbsp;</td>
          <td class="paramname"> <em>colourDepth</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Retrieve information about the render target. 
<p>

</div>
</div><p>
<a class="anchor" name="bad9545f33c87263f3012c6c15effbfd"></a><!-- doxytag: member="Ogre::RenderTexture::getWidth" ref="bad9545f33c87263f3012c6c15effbfd" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual unsigned int Ogre::RenderTarget::getWidth           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="150bbf8af117b2f14f24b06fc5dead8f"></a><!-- doxytag: member="Ogre::RenderTexture::getHeight" ref="150bbf8af117b2f14f24b06fc5dead8f" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual unsigned int Ogre::RenderTarget::getHeight           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="91d1b60e99ae626a5ac56c57db0edf78"></a><!-- doxytag: member="Ogre::RenderTexture::getColourDepth" ref="91d1b60e99ae626a5ac56c57db0edf78" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual unsigned int Ogre::RenderTarget::getColourDepth           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="3207c500517b7f8e84842a215869e5e0"></a><!-- doxytag: member="Ogre::RenderTexture::update" ref="3207c500517b7f8e84842a215869e5e0" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::RenderTarget::update           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Tells the target to update it's contents. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>If OGRE is not running in an automatic rendering loop (started using <a class="el" href="classOgre_1_1Root.html#8eda253befda1255cbfd3b298f62449e" title="Starts / restarts the automatic rendering cycle.">Root::startRendering</a>), the user of the library is responsible for asking each render target to refresh. This is the method used to do this. It automatically re-renders the contents of the target using whatever cameras have been pointed at it (using Camera::setRenderTarget). </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>This allows OGRE to be used in multi-windowed utilities and for contents to be refreshed only when required, rather than constantly as with the automatic rendering loop. </dd></dl>

<p>Reimplemented in <a class="el" href="classOgre_1_1RenderWindow.html#75bcd496a5f5b39e7dc480f63b4e767b">Ogre::RenderWindow</a>.</p>

</div>
</div><p>
<a class="anchor" name="1a558e64db9dfd7cc4cec4547fca0e39"></a><!-- doxytag: member="Ogre::RenderTexture::addViewport" ref="1a558e64db9dfd7cc4cec4547fca0e39" args="(Camera *cam, int ZOrder=0, float left=0.0f, float top=0.0f, float width=1.0f, float height=1.0f)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1Viewport.html">Viewport</a>* Ogre::RenderTarget::addViewport           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Camera.html">Camera</a> *&nbsp;</td>
          <td class="paramname"> <em>cam</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>ZOrder</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&nbsp;</td>
          <td class="paramname"> <em>left</em> = <code>0.0f</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&nbsp;</td>
          <td class="paramname"> <em>top</em> = <code>0.0f</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&nbsp;</td>
          <td class="paramname"> <em>width</em> = <code>1.0f</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&nbsp;</td>
          <td class="paramname"> <em>height</em> = <code>1.0f</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Adds a viewport to the rendering target. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>A viewport is the rectangle into which redering output is sent. This method adds a viewport to the render target, rendering from the supplied camera. The rest of the parameters are only required if you wish to add more than one viewport to a single rendering target. Note that size information passed to this method is passed as a parametric, i.e. it is relative rather than absolute. This is to allow viewports to automatically resize along with the target. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>cam</em>&nbsp;</td><td>The camera from which the viewport contents will be rendered (mandatory) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>ZOrder</em>&nbsp;</td><td>The relative order of the viewport with others on the target (allows overlapping viewports i.e. picture-in-picture). Higher ZOrders are on top of lower ones. The actual number is irrelevant, only the relative ZOrder matters (you can leave gaps in the numbering) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>left</em>&nbsp;</td><td>The relative position of the left of the viewport on the target, as a value between 0 and 1. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>top</em>&nbsp;</td><td>The relative position of the top of the viewport on the target, as a value between 0 and 1. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>width</em>&nbsp;</td><td>The relative width of the viewport on the target, as a value between 0 and 1. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>height</em>&nbsp;</td><td>The relative height of the viewport on the target, as a value between 0 and 1. </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="69245e95d2cfee64ee788ed669bb21b3"></a><!-- doxytag: member="Ogre::RenderTexture::getNumViewports" ref="69245e95d2cfee64ee788ed669bb21b3" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual unsigned short Ogre::RenderTarget::getNumViewports           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns the number of viewports attached to this target. 
<p>

</div>
</div><p>
<a class="anchor" name="79c057e010286b2b6c3a27f296233c5c"></a><!-- doxytag: member="Ogre::RenderTexture::getViewport" ref="79c057e010286b2b6c3a27f296233c5c" args="(unsigned short index)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1Viewport.html">Viewport</a>* Ogre::RenderTarget::getViewport           </td>
          <td>(</td>
          <td class="paramtype">unsigned short&nbsp;</td>
          <td class="paramname"> <em>index</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Retrieves a pointer to the viewport with the given index. 
<p>

</div>
</div><p>
<a class="anchor" name="2b54c04473bf74db5164dae71a6475d3"></a><!-- doxytag: member="Ogre::RenderTexture::removeViewport" ref="2b54c04473bf74db5164dae71a6475d3" args="(int ZOrder)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::RenderTarget::removeViewport           </td>
          <td>(</td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>ZOrder</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Removes a viewport at a given ZOrder. 
<p>

</div>
</div><p>
<a class="anchor" name="0c00ca9d1ba7f3efc248ae86511fbff9"></a><!-- doxytag: member="Ogre::RenderTexture::removeAllViewports" ref="0c00ca9d1ba7f3efc248ae86511fbff9" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::RenderTarget::removeAllViewports           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Removes all viewports on this target. 
<p>

</div>
</div><p>
<a class="anchor" name="7ec7111526da5ef7b39ac8da3d5650d0"></a><!-- doxytag: member="Ogre::RenderTexture::getStatistics" ref="7ec7111526da5ef7b39ac8da3d5650d0" args="(float &amp;lastFPS, float &amp;avgFPS, float &amp;bestFPS, float &amp;worstFPS) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::RenderTarget::getStatistics           </td>
          <td>(</td>
          <td class="paramtype">float &amp;&nbsp;</td>
          <td class="paramname"> <em>lastFPS</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float &amp;&nbsp;</td>
          <td class="paramname"> <em>avgFPS</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float &amp;&nbsp;</td>
          <td class="paramname"> <em>bestFPS</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float &amp;&nbsp;</td>
          <td class="paramname"> <em>worstFPS</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Retieves details of current rendering performance. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>If the user application wishes to do it's own performance display, or use performance for some other means, this method allows it to retrieve the statistics. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>lastFPS</em>&nbsp;</td><td>Pointer to a float to receive the number of frames per second (FPS) based on the last frame rendered. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>avgFPS</em>&nbsp;</td><td>Pointer to a float to receive the FPS rating based on an average of all the frames rendered since rendering began (the call to <a class="el" href="classOgre_1_1Root.html#8eda253befda1255cbfd3b298f62449e" title="Starts / restarts the automatic rendering cycle.">Root::startRendering</a>). </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>bestFPS</em>&nbsp;</td><td>Pointer to a float to receive the best FPS rating that has been achieved since rendering began. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>worstFPS</em>&nbsp;</td><td>Pointer to a float to receive the worst FPS rating seen so far. </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="10c15655fd251589d2b67c299ceaef87"></a><!-- doxytag: member="Ogre::RenderTexture::getStatistics" ref="10c15655fd251589d2b67c299ceaef87" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const FrameStats&amp; Ogre::RenderTarget::getStatistics           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="68295f73edc9d9e18948d3c912e28a8a"></a><!-- doxytag: member="Ogre::RenderTexture::getLastFPS" ref="68295f73edc9d9e18948d3c912e28a8a" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float Ogre::RenderTarget::getLastFPS           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Individual stats access - gets the number of frames per second (FPS) based on the last frame rendered. 
<p>

</div>
</div><p>
<a class="anchor" name="587601530d114124e0be455fae209bc5"></a><!-- doxytag: member="Ogre::RenderTexture::getAverageFPS" ref="587601530d114124e0be455fae209bc5" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float Ogre::RenderTarget::getAverageFPS           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Individual stats access - gets the average frames per second (FPS) since call to <a class="el" href="classOgre_1_1Root.html#8eda253befda1255cbfd3b298f62449e" title="Starts / restarts the automatic rendering cycle.">Root::startRendering</a>. 
<p>

</div>
</div><p>
<a class="anchor" name="f0a5f051490579a8bda11090a36d8a26"></a><!-- doxytag: member="Ogre::RenderTexture::getBestFPS" ref="f0a5f051490579a8bda11090a36d8a26" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float Ogre::RenderTarget::getBestFPS           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Individual stats access - gets the best frames per second (FPS) since call to <a class="el" href="classOgre_1_1Root.html#8eda253befda1255cbfd3b298f62449e" title="Starts / restarts the automatic rendering cycle.">Root::startRendering</a>. 
<p>

</div>
</div><p>
<a class="anchor" name="915e2f9f87535b07280a2cdf80247a78"></a><!-- doxytag: member="Ogre::RenderTexture::getWorstFPS" ref="915e2f9f87535b07280a2cdf80247a78" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float Ogre::RenderTarget::getWorstFPS           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Individual stats access - gets the worst frames per second (FPS) since call to <a class="el" href="classOgre_1_1Root.html#8eda253befda1255cbfd3b298f62449e" title="Starts / restarts the automatic rendering cycle.">Root::startRendering</a>. 
<p>

</div>
</div><p>
<a class="anchor" name="773ca1e7235d48c9c1e4fa4bc4a963ae"></a><!-- doxytag: member="Ogre::RenderTexture::getBestFrameTime" ref="773ca1e7235d48c9c1e4fa4bc4a963ae" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float Ogre::RenderTarget::getBestFrameTime           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Individual stats access - gets the best frame time. 
<p>

</div>
</div><p>
<a class="anchor" name="ef27de595c12cc77a51e1f3e493cb7a1"></a><!-- doxytag: member="Ogre::RenderTexture::getWorstFrameTime" ref="ef27de595c12cc77a51e1f3e493cb7a1" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float Ogre::RenderTarget::getWorstFrameTime           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Individual stats access - gets the worst frame time. 
<p>

</div>
</div><p>
<a class="anchor" name="e2bd3003533d24447f883d9035b7aed0"></a><!-- doxytag: member="Ogre::RenderTexture::resetStatistics" ref="e2bd3003533d24447f883d9035b7aed0" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::RenderTarget::resetStatistics           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Resets saved frame-rate statistices. 
<p>

</div>
</div><p>
<a class="anchor" name="6c32524efacf6da599d5daccf3d9e166"></a><!-- doxytag: member="Ogre::RenderTexture::getCustomAttribute" ref="6c32524efacf6da599d5daccf3d9e166" args="(const String &amp;name, void *pData)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::RenderTarget::getCustomAttribute           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>pData</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets a custom (maybe platform-specific) attribute. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This is a nasty way of satisfying any API's need to see platform-specific details. It horrid, but D3D needs this kind of info. At least it's abstracted. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>name</em>&nbsp;</td><td>The name of the attribute. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>pData</em>&nbsp;</td><td>Pointer to memory of the right kind of structure to receive the info. </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="1799514a8ad7958919ca48c654a47e8e"></a><!-- doxytag: member="Ogre::RenderTexture::addListener" ref="1799514a8ad7958919ca48c654a47e8e" args="(RenderTargetListener *listener)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::RenderTarget::addListener           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderTargetListener.html">RenderTargetListener</a> *&nbsp;</td>
          <td class="paramname"> <em>listener</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Add a listener to this <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> which will be called back before &amp; after rendering. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>If you want notifications before and after a target is updated by the system, use this method to register your own custom <a class="el" href="classOgre_1_1RenderTargetListener.html" title="A interface class defining a listener which can be used to receive notifications...">RenderTargetListener</a> class. This is useful for potentially adding your own manual rendering commands before and after the 'normal' system rendering. </dd></dl>
<dl class="user" compact><dt><b>NB this should not be used for frame-based scene updates, use Root::addFrameListener for that.</b></dt><dd></dd></dl>

</div>
</div><p>
<a class="anchor" name="70c43cd6bebbdea84711eb49bb9f1375"></a><!-- doxytag: member="Ogre::RenderTexture::removeListener" ref="70c43cd6bebbdea84711eb49bb9f1375" args="(RenderTargetListener *listener)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::RenderTarget::removeListener           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderTargetListener.html">RenderTargetListener</a> *&nbsp;</td>
          <td class="paramname"> <em>listener</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Removes a <a class="el" href="classOgre_1_1RenderTargetListener.html" title="A interface class defining a listener which can be used to receive notifications...">RenderTargetListener</a> previously registered using addListener. 
<p>

</div>
</div><p>
<a class="anchor" name="6fc748317d2951512cd42d19e3445352"></a><!-- doxytag: member="Ogre::RenderTexture::removeAllListeners" ref="6fc748317d2951512cd42d19e3445352" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::RenderTarget::removeAllListeners           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Removes all listeners from this instance. 
<p>

</div>
</div><p>
<a class="anchor" name="03ae803c4754c6008fb5b898fb8090b8"></a><!-- doxytag: member="Ogre::RenderTexture::setPriority" ref="03ae803c4754c6008fb5b898fb8090b8" args="(uchar priority)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::RenderTarget::setPriority           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#07f1f7c1d84d58c9beae02e1ebb945e4">uchar</a>&nbsp;</td>
          <td class="paramname"> <em>priority</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets the priority of this render target in relation to the others. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This can be used in order to schedule render target updates. Lower priorities will be rendered first. Note that the priority must be set at the time the render target is attached to the render system, changes afterwards will not affect the ordering. </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderTarget_8h-source.html#l00236">236</a> of file <a class="el" href="OgreRenderTarget_8h-source.html">OgreRenderTarget.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="bb30435cde04c7c81a93b5f94b13e27e"></a><!-- doxytag: member="Ogre::RenderTexture::getPriority" ref="bb30435cde04c7c81a93b5f94b13e27e" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#07f1f7c1d84d58c9beae02e1ebb945e4">uchar</a> Ogre::RenderTarget::getPriority           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the priority of a render target. 
<p>

<p>Definition at line <a class="el" href="OgreRenderTarget_8h-source.html#l00238">238</a> of file <a class="el" href="OgreRenderTarget_8h-source.html">OgreRenderTarget.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="301925445aa68d271ba2da65dc8c0022"></a><!-- doxytag: member="Ogre::RenderTexture::isActive" ref="301925445aa68d271ba2da65dc8c0022" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Ogre::RenderTarget::isActive           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Used to retrieve or set the active state of the render target. 
<p>

<p>Reimplemented in <a class="el" href="classOgre_1_1RenderWindow.html#a1d3f404a67e4fed5734d953063e6e04">Ogre::RenderWindow</a>.</p>

</div>
</div><p>
<a class="anchor" name="279914cf4611a750e94b6fb54bc1b2d1"></a><!-- doxytag: member="Ogre::RenderTexture::setActive" ref="279914cf4611a750e94b6fb54bc1b2d1" args="(bool state)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::RenderTarget::setActive           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>state</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Used to set the active state of the render target. 
<p>

</div>
</div><p>
<a class="anchor" name="016ca5b051b36014c566459b20fe6ef6"></a><!-- doxytag: member="Ogre::RenderTexture::setAutoUpdated" ref="016ca5b051b36014c566459b20fe6ef6" args="(bool autoupdate)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::RenderTarget::setAutoUpdated           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>autoupdate</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets whether this target should be automatically updated if Ogre's rendering loop or <a class="el" href="classOgre_1_1Root.html#74cf60da79525c2332744048900b38bb" title="Internal method used for updating all RenderTarget objects (windows, renderable textures...">Root::_updateAllRenderTargets</a> is being used. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>By default, if you use Ogre's own rendering loop (<a class="el" href="classOgre_1_1Root.html#8eda253befda1255cbfd3b298f62449e" title="Starts / restarts the automatic rendering cycle.">Root::startRendering</a>) or call <a class="el" href="classOgre_1_1Root.html#74cf60da79525c2332744048900b38bb" title="Internal method used for updating all RenderTarget objects (windows, renderable textures...">Root::_updateAllRenderTargets</a>, all render targets are updated automatically. This method allows you to control that behaviour, if for example you have a render target which you only want to update periodically. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>autoupdate</em>&nbsp;</td><td>If true, the render target is updated during the automatic render loop or when <a class="el" href="classOgre_1_1Root.html#74cf60da79525c2332744048900b38bb" title="Internal method used for updating all RenderTarget objects (windows, renderable textures...">Root::_updateAllRenderTargets</a> is called. If false, the target is only updated when its <a class="el" href="classOgre_1_1RenderTarget.html#3207c500517b7f8e84842a215869e5e0" title="Tells the target to update it&#39;s contents.">update()</a> method is called explicitly. </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="1155d04dd64c5ea34dec391cf03f8bfc"></a><!-- doxytag: member="Ogre::RenderTexture::isAutoUpdated" ref="1155d04dd64c5ea34dec391cf03f8bfc" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Ogre::RenderTarget::isAutoUpdated           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets whether this target is automatically updated if Ogre's rendering loop or <a class="el" href="classOgre_1_1Root.html#74cf60da79525c2332744048900b38bb" title="Internal method used for updating all RenderTarget objects (windows, renderable textures...">Root::_updateAllRenderTargets</a> is being used. 
<p>

</div>
</div><p>
<a class="anchor" name="2c3046ce0995cc3058e2919b985e80f6"></a><!-- doxytag: member="Ogre::RenderTexture::writeContentsToTimestampedFile" ref="2c3046ce0995cc3058e2919b985e80f6" args="(const String &amp;filenamePrefix, const String &amp;filenameSuffix)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> Ogre::RenderTarget::writeContentsToTimestampedFile           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>filenamePrefix</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>filenameSuffix</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Writes the current contents of the render target to the (PREFIX)(time-stamp)(SUFFIX) file. 
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>the name of the file used. </dd></dl>

</div>
</div><p>
<a class="anchor" name="4796840716ec80f783a01b7e97ced3e7"></a><!-- doxytag: member="Ogre::RenderTexture::requiresTextureFlipping" ref="4796840716ec80f783a01b7e97ced3e7" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Ogre::RenderTarget::requiresTextureFlipping           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [pure virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="c5dfafc1b777e6ff51d01af3f4d192f6"></a><!-- doxytag: member="Ogre::RenderTexture::getTriangleCount" ref="c5dfafc1b777e6ff51d01af3f4d192f6" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual size_t Ogre::RenderTarget::getTriangleCount           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the number of triangles rendered in the last <a class="el" href="classOgre_1_1RenderTarget.html#3207c500517b7f8e84842a215869e5e0" title="Tells the target to update it&#39;s contents.">update()</a> call. 
<p>

</div>
</div><p>
<a class="anchor" name="ab1992269ca9e143f6798e059a1c2155"></a><!-- doxytag: member="Ogre::RenderTexture::getBatchCount" ref="ab1992269ca9e143f6798e059a1c2155" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual size_t Ogre::RenderTarget::getBatchCount           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the number of batches rendered in the last <a class="el" href="classOgre_1_1RenderTarget.html#3207c500517b7f8e84842a215869e5e0" title="Tells the target to update it&#39;s contents.">update()</a> call. 
<p>

</div>
</div><p>
<a class="anchor" name="9643c656e6220cb96e7db14238788db7"></a><!-- doxytag: member="Ogre::RenderTexture::_notifyCameraRemoved" ref="9643c656e6220cb96e7db14238788db7" args="(const Camera *cam)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::RenderTarget::_notifyCameraRemoved           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Camera.html">Camera</a> *&nbsp;</td>
          <td class="paramname"> <em>cam</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Utility method to notify a render target that a camera has been removed, incase it was referring to it as a viewer. 
<p>

</div>
</div><p>
<a class="anchor" name="d65fa4d3c53d20d49b5018a334de57e9"></a><!-- doxytag: member="Ogre::RenderTexture::isPrimary" ref="d65fa4d3c53d20d49b5018a334de57e9" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Ogre::RenderTarget::isPrimary           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Indicates whether this target is the primary window. 
<p>
The primary window is special in that it is destroyed when ogre is shut down, and cannot be destroyed directly. This is the case because it holds the context for vertex, index buffers and textures. 
<p>Reimplemented in <a class="el" href="classOgre_1_1RenderWindow.html#96fe6c6aa50e80c77b2d3bc385b2e4e4">Ogre::RenderWindow</a>.</p>

</div>
</div><p>
<a class="anchor" name="dc79bb20073490723d8705828a809068"></a><!-- doxytag: member="Ogre::RenderTexture::_getImpl" ref="dc79bb20073490723d8705828a809068" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Impl* Ogre::RenderTarget::_getImpl           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get rendersystem specific interface for this <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a>. 
<p>
This is used by the <a class="el" href="classOgre_1_1RenderSystem.html" title="Defines the functionality of a 3D API.">RenderSystem</a> to (un)bind this target, and to get specific information like surfaces and framebuffer objects. 
</div>
</div><p>
<a class="anchor" name="b78039271b681c0a83a5b66aa1865393"></a><!-- doxytag: member="Ogre::RenderTexture::updateStats" ref="b78039271b681c0a83a5b66aa1865393" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderTarget::updateStats           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="4673d31e490f02305df92854ed2b1001"></a><!-- doxytag: member="Ogre::RenderTexture::firePreUpdate" ref="4673d31e490f02305df92854ed2b1001" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::RenderTarget::firePreUpdate           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected, virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
internal method for firing events 
<p>

</div>
</div><p>
<a class="anchor" name="ccca37e9b5dff076f19b10cec0a046d3"></a><!-- doxytag: member="Ogre::RenderTexture::firePostUpdate" ref="ccca37e9b5dff076f19b10cec0a046d3" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::RenderTarget::firePostUpdate           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected, virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
internal method for firing events 
<p>

</div>
</div><p>
<a class="anchor" name="c535c5b65e4239c6f81a065d00d2108d"></a><!-- doxytag: member="Ogre::RenderTexture::fireViewportPreUpdate" ref="c535c5b65e4239c6f81a065d00d2108d" args="(Viewport *vp)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::RenderTarget::fireViewportPreUpdate           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Viewport.html">Viewport</a> *&nbsp;</td>
          <td class="paramname"> <em>vp</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected, virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
internal method for firing events 
<p>

</div>
</div><p>
<a class="anchor" name="703c49294043642922a0211f7eeeb390"></a><!-- doxytag: member="Ogre::RenderTexture::fireViewportPostUpdate" ref="703c49294043642922a0211f7eeeb390" args="(Viewport *vp)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::RenderTarget::fireViewportPostUpdate           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Viewport.html">Viewport</a> *&nbsp;</td>
          <td class="paramname"> <em>vp</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected, virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
internal method for firing events 
<p>

</div>
</div><p>
<a class="anchor" name="a396234cc576e5b6f47cc4a0083e370b"></a><!-- doxytag: member="Ogre::RenderTexture::fireViewportAdded" ref="a396234cc576e5b6f47cc4a0083e370b" args="(Viewport *vp)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::RenderTarget::fireViewportAdded           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Viewport.html">Viewport</a> *&nbsp;</td>
          <td class="paramname"> <em>vp</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected, virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
internal method for firing events 
<p>

</div>
</div><p>
<a class="anchor" name="fc571d922c7afc5d6b19e772adc7c742"></a><!-- doxytag: member="Ogre::RenderTexture::fireViewportRemoved" ref="fc571d922c7afc5d6b19e772adc7c742" args="(Viewport *vp)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::RenderTarget::fireViewportRemoved           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Viewport.html">Viewport</a> *&nbsp;</td>
          <td class="paramname"> <em>vp</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected, virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
internal method for firing events 
<p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="5f3d9fd4d3aa25751546d18144b77b6a"></a><!-- doxytag: member="Ogre::RenderTexture::mBuffer" ref="5f3d9fd4d3aa25751546d18144b77b6a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HardwarePixelBuffer.html">HardwarePixelBuffer</a>* <a class="el" href="classOgre_1_1RenderTexture.html#5f3d9fd4d3aa25751546d18144b77b6a">Ogre::RenderTexture::mBuffer</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderTexture_8h-source.html#l00051">51</a> of file <a class="el" href="OgreRenderTexture_8h-source.html">OgreRenderTexture.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d41ef4a560ac4f45b10eb56a87761347"></a><!-- doxytag: member="Ogre::RenderTexture::mZOffset" ref="d41ef4a560ac4f45b10eb56a87761347" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1RenderTexture.html#d41ef4a560ac4f45b10eb56a87761347">Ogre::RenderTexture::mZOffset</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderTexture_8h-source.html#l00052">52</a> of file <a class="el" href="OgreRenderTexture_8h-source.html">OgreRenderTexture.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="f2cc3c6d5a845d8c7eb3b6cdc4270639"></a><!-- doxytag: member="Ogre::RenderTexture::mName" ref="f2cc3c6d5a845d8c7eb3b6cdc4270639" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1RenderTarget.html#f2cc3c6d5a845d8c7eb3b6cdc4270639">Ogre::RenderTarget::mName</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The name of this target. 
<p>

<p>Definition at line <a class="el" href="OgreRenderTarget_8h-source.html#l00313">313</a> of file <a class="el" href="OgreRenderTarget_8h-source.html">OgreRenderTarget.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="58b3cee9ce06c665d120234f425a188f"></a><!-- doxytag: member="Ogre::RenderTexture::mPriority" ref="58b3cee9ce06c665d120234f425a188f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#07f1f7c1d84d58c9beae02e1ebb945e4">uchar</a> <a class="el" href="classOgre_1_1RenderTarget.html#58b3cee9ce06c665d120234f425a188f">Ogre::RenderTarget::mPriority</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The priority of the render target. 
<p>

<p>Definition at line <a class="el" href="OgreRenderTarget_8h-source.html#l00315">315</a> of file <a class="el" href="OgreRenderTarget_8h-source.html">OgreRenderTarget.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b3f6f293e5347db866b70ab7dfcf6018"></a><!-- doxytag: member="Ogre::RenderTexture::mWidth" ref="b3f6f293e5347db866b70ab7dfcf6018" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="classOgre_1_1RenderTarget.html#b3f6f293e5347db866b70ab7dfcf6018">Ogre::RenderTarget::mWidth</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderTarget_8h-source.html#l00317">317</a> of file <a class="el" href="OgreRenderTarget_8h-source.html">OgreRenderTarget.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="02bf10a710dcdf3b5e384f8c7d2903af"></a><!-- doxytag: member="Ogre::RenderTexture::mHeight" ref="02bf10a710dcdf3b5e384f8c7d2903af" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="classOgre_1_1RenderTarget.html#02bf10a710dcdf3b5e384f8c7d2903af">Ogre::RenderTarget::mHeight</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderTarget_8h-source.html#l00318">318</a> of file <a class="el" href="OgreRenderTarget_8h-source.html">OgreRenderTarget.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="79386cb8836a76d429466c0910374aaa"></a><!-- doxytag: member="Ogre::RenderTexture::mColourDepth" ref="79386cb8836a76d429466c0910374aaa" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="classOgre_1_1RenderTarget.html#79386cb8836a76d429466c0910374aaa">Ogre::RenderTarget::mColourDepth</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderTarget_8h-source.html#l00319">319</a> of file <a class="el" href="OgreRenderTarget_8h-source.html">OgreRenderTarget.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="84e393c6abd162a8e957477914bcd999"></a><!-- doxytag: member="Ogre::RenderTexture::mIsDepthBuffered" ref="84e393c6abd162a8e957477914bcd999" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1RenderTarget.html#84e393c6abd162a8e957477914bcd999">Ogre::RenderTarget::mIsDepthBuffered</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderTarget_8h-source.html#l00320">320</a> of file <a class="el" href="OgreRenderTarget_8h-source.html">OgreRenderTarget.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ec8db4bff24a18224ea22ae0dcd2b0b9"></a><!-- doxytag: member="Ogre::RenderTexture::mStats" ref="ec8db4bff24a18224ea22ae0dcd2b0b9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">FrameStats <a class="el" href="classOgre_1_1RenderTarget.html#ec8db4bff24a18224ea22ae0dcd2b0b9">Ogre::RenderTarget::mStats</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderTarget_8h-source.html#l00323">323</a> of file <a class="el" href="OgreRenderTarget_8h-source.html">OgreRenderTarget.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="9edbadbd9ebd933c51dd6d63303ffeaa"></a><!-- doxytag: member="Ogre::RenderTexture::mTimer" ref="9edbadbd9ebd933c51dd6d63303ffeaa" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Timer.html">Timer</a>* <a class="el" href="classOgre_1_1RenderTarget.html#9edbadbd9ebd933c51dd6d63303ffeaa">Ogre::RenderTarget::mTimer</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderTarget_8h-source.html#l00325">325</a> of file <a class="el" href="OgreRenderTarget_8h-source.html">OgreRenderTarget.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e2c3190a38dd1febbacaa7d26a99b847"></a><!-- doxytag: member="Ogre::RenderTexture::mLastSecond" ref="e2c3190a38dd1febbacaa7d26a99b847" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long <a class="el" href="classOgre_1_1RenderTarget.html#e2c3190a38dd1febbacaa7d26a99b847">Ogre::RenderTarget::mLastSecond</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderTarget_8h-source.html#l00326">326</a> of file <a class="el" href="OgreRenderTarget_8h-source.html">OgreRenderTarget.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="cb4383973de9408b1f855e15357332cb"></a><!-- doxytag: member="Ogre::RenderTexture::mLastTime" ref="cb4383973de9408b1f855e15357332cb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long <a class="el" href="classOgre_1_1RenderTarget.html#cb4383973de9408b1f855e15357332cb">Ogre::RenderTarget::mLastTime</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderTarget_8h-source.html#l00327">327</a> of file <a class="el" href="OgreRenderTarget_8h-source.html">OgreRenderTarget.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="7c01f88029925f275dc8a49800dd3998"></a><!-- doxytag: member="Ogre::RenderTexture::mFrameCount" ref="7c01f88029925f275dc8a49800dd3998" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1RenderTarget.html#7c01f88029925f275dc8a49800dd3998">Ogre::RenderTarget::mFrameCount</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderTarget_8h-source.html#l00328">328</a> of file <a class="el" href="OgreRenderTarget_8h-source.html">OgreRenderTarget.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e2a74c5e2b8d58720fb520401a3f8c5f"></a><!-- doxytag: member="Ogre::RenderTexture::mActive" ref="e2a74c5e2b8d58720fb520401a3f8c5f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1RenderTarget.html#e2a74c5e2b8d58720fb520401a3f8c5f">Ogre::RenderTarget::mActive</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderTarget_8h-source.html#l00330">330</a> of file <a class="el" href="OgreRenderTarget_8h-source.html">OgreRenderTarget.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="39c96ae9e871ab7a2c0f139a4391fee8"></a><!-- doxytag: member="Ogre::RenderTexture::mAutoUpdate" ref="39c96ae9e871ab7a2c0f139a4391fee8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1RenderTarget.html#39c96ae9e871ab7a2c0f139a4391fee8">Ogre::RenderTarget::mAutoUpdate</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderTarget_8h-source.html#l00331">331</a> of file <a class="el" href="OgreRenderTarget_8h-source.html">OgreRenderTarget.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="9dbeb5ce1b207cf5bf446e0d69d1b98c"></a><!-- doxytag: member="Ogre::RenderTexture::mViewportList" ref="9dbeb5ce1b207cf5bf446e0d69d1b98c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderTarget.html#ef91bc6ede66d2f18f211964addf8c09">ViewportList</a> <a class="el" href="classOgre_1_1RenderTarget.html#9dbeb5ce1b207cf5bf446e0d69d1b98c">Ogre::RenderTarget::mViewportList</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
List of viewports, map on Z-order. 
<p>

<p>Definition at line <a class="el" href="OgreRenderTarget_8h-source.html#l00337">337</a> of file <a class="el" href="OgreRenderTarget_8h-source.html">OgreRenderTarget.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="db18b049cb9528a1605ec4a52ecf832c"></a><!-- doxytag: member="Ogre::RenderTexture::mListeners" ref="db18b049cb9528a1605ec4a52ecf832c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderTarget.html#c283f95c08a0d761481613002e15929f">RenderTargetListenerList</a> <a class="el" href="classOgre_1_1RenderTarget.html#db18b049cb9528a1605ec4a52ecf832c">Ogre::RenderTarget::mListeners</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderTarget_8h-source.html#l00340">340</a> of file <a class="el" href="OgreRenderTarget_8h-source.html">OgreRenderTarget.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreRenderTexture_8h-source.html">OgreRenderTexture.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:52:21 2008
</p>
</body>
</html>
